<template>
  <div class="i-stepper d-flex align-items-center justify-content-center">
    <div
      v-for="circleNumber in total"
      :key="circleNumber"
      class="i-stepper__circle"
      :class="{ 'i-stepper__circle--filled': circleNumber <= filled }" />
  </div>
</template>

<script>
  export default {
    props: {
      total: {
        type: Number,
        required: true,
      },
      filled: {
        type: Number,
        required: true,
      },
    },
  };
</script>

<style lang="scss">
  .i-stepper {
    position: relative;
    height: rs(20px);
  }

  .i-stepper__circle {
    width: rs(6px);
    height: rs(6px);
    background-color: transparent;
    border: rs(1.5px) solid #fff;
    border-radius: rs(6px);

    &:not(:first-child) {
      margin-left: rs(9px);
    }

    &--filled {
      background-color: #fff;
    }
  }
</style>
